/*
     File: TargetGallery.h 
*/

#import <Cocoa/Cocoa.h>

@class TargetObject;

@interface TargetGallery : NSView {
    BOOL _isEditing;
    NSMutableArray *_targets;
}

@property(assign) BOOL isEditing;
@property(readonly) NSArray *targets;

- (void)addTarget:(TargetObject *)target;
- (TargetObject *)targetForView:(NSView *)view;
- (TargetObject *)targetAtPoint:(NSPoint)point;

- (void)startAnimating;
- (void)stopAnimating;

@end
