/*
     File: TargetGalleryController.h   
*/

#import <Cocoa/Cocoa.h>

@class TargetObject, TargetGallery;

@interface TargetGalleryController : NSWindowController {
    IBOutlet TargetGallery *_targetGallery;
    TargetObject *_dragTarget;
    NSTimeInterval _lastDragTime;
    NSPoint _lastDragPoint;
    NSPoint _dragVelocity;
}

- (IBAction)toggleGalleryEditing:(id)sender;
- (IBAction)stopTargets:(id)sender;

@end
